Package org.bgerp.cache

# Class ParameterCache

java.lang.Object
org.bgerp.cache.Cache<ParameterCache>
org.bgerp.cache.ParameterCache

public class ParameterCache extends Cache<ParameterCache>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CacheHolder<ParameterCache>`
  `HOLDER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterCache()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `flush(Connection con)`
  `static List<IdTitle>`
  `getListParamValues(int paramId)`
  List of values for parameter with type 'list'.
  `static List<IdTitle>`
  `getListParamValues(Parameter param)`
  List of values for parameter with type 'list'.
  `static Map<Integer,IdTitle>`
  `getListParamValuesMap(int paramId)`
  Map of list parameter values.
  `static List<Integer>`
  `getObjectTypeParameterIds(String objectType)`
  Parameter IDs for `objectType`, position sorted.
  `static List<Parameter>`
  `getObjectTypeParameterList(String objectType)`
  Parameters for `objectType`, position sorted.
  `static List<Parameter>`
  `getObjectTypeParameterList(String objectType, int parameterGroupId)`
  Parameters for `objectType`, position sorted.
  `static Parameter`
  `getParameter(int id)`
  `static List<Parameter>`
  `getParameterList(List<Integer> pids)`
  Parameters with defined IDs.
  `static Map<Integer,Parameter>`
  `getParameterMap()`
  `static IdStringTitleTreeItem`
  `getTreeParamRootNode(Parameter param)`
  `static Map<String,String>`
  `getTreeParamValues(int paramId)`
  Map of tree parameter values.
  `protected ParameterCache`
  `newInstance()`
  Creates a new cache instance

  ### Methods inherited from class org.bgerp.cache.Cache

  `isValid`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HOLDER

    public static final CacheHolder<ParameterCache> HOLDER

- ## Constructor Details

  - ### ParameterCache

    public ParameterCache()

- ## Method Details

  - ### getParameter

    public static Parameter getParameter(int id)

  - ### getObjectTypeParameterList

    public static List<Parameter> getObjectTypeParameterList(String objectType)
    Parameters for `objectType`, position sorted.
    Parameters:
      `objectType` - `Process.OBJECT_TYPE`, `Customer.OBJECT_TYPE`, `User.OBJECT_TYPE`, `AddressHouse.OBJECT_TYPE`
    Returns:

  - ### getObjectTypeParameterList

    public static List<Parameter> getObjectTypeParameterList(String objectType, int parameterGroupId)
    Parameters for `objectType`, position sorted.
    Parameters:
      `objectType` - `Process.OBJECT_TYPE`, `Customer.OBJECT_TYPE`, `User.OBJECT_TYPE`, `AddressHouse.OBJECT_TYPE`
    Returns:

  - ### getObjectTypeParameterIds

    public static List<Integer> getObjectTypeParameterIds(String objectType)
    Parameter IDs for `objectType`, position sorted.
    Parameters:
      `objectType` - `Process.OBJECT_TYPE`, `Customer.OBJECT_TYPE`, `User.OBJECT_TYPE`, `AddressHouse.OBJECT_TYPE`
    Returns:

  - ### getParameterList

    public static List<Parameter> getParameterList(List<Integer> pids)
    Parameters with defined IDs.
    Parameters:
      `pids` - - IDs.
    Returns:

  - ### getListParamValuesMap

    public static Map<Integer,IdTitle> getListParamValuesMap(int paramId)
    Map of list parameter values. Key - value ID, value - value.
    Parameters:
      `paramId` -
    Returns:

  - ### getListParamValues

    public static List<IdTitle> getListParamValues(int paramId)
    List of values for parameter with type 'list'.
    Parameters:
      `param` -
    Returns:

  - ### getListParamValues

    public static List<IdTitle> getListParamValues(Parameter param)
    List of values for parameter with type 'list'.
    Parameters:
      `param` -
    Returns:

  - ### getTreeParamRootNode

    public static IdStringTitleTreeItem getTreeParamRootNode(Parameter param)

  - ### getTreeParamValues

    public static Map<String,String> getTreeParamValues(int paramId)
    Map of tree parameter values. Key - value ID, value - title.
    Parameters:
      `paramId` - the parameter ID.
    Returns:
      a map with entries sorted by keys.

  - ### getParameterMap

    public static Map<Integer,Parameter> getParameterMap()

  - ### flush

    public static void flush(Connection con)

  - ### newInstance

    protected ParameterCache newInstance()
    Description copied from class: `Cache`
    Creates a new cache instance
    Specified by:
      `newInstance` in class `Cache<ParameterCache>`
    Returns:
      the instance